# Overview

Hyperledger Fabric is a robust and flexible blockchain network architecture
that provides enterprise-ready security, scalability, confidentiality and
performance. Its unique implementation of distributed ledger technology ensures
data integrity and consistency, while delivering accountability, transparency
and efficiency. As a permissioned network, the fabric delivers a trusted
blockchain network, where members are assured that all transactions can be
detected and traced by authorized regulators and auditors.

Hyperledger Fabric separates chaincode execution from transaction ordering,
which limits the required levels of trust and verification across nodes,
optimizing network scalability and performance. Private channels provide multi-
lateral transactions with the high degree of privacy and confidentiality
required for competing businesses and regulated industries to coexist on a
common network. The fabric incorporates a modular approach to blockchain,
enabling network designers to plug in their preferred implementations for
components such as ordering, identity management and encryption.

In total, Hyperledger Fabric delivers a uniquely comprehensive, elastic and
extensible architecture, distinguishing it from the alternative blockchain
solutions. Planning for the future of enterprise blockchain requires building
on a fully-vetted, open architecture; Hyperledger Fabric is your starting point.

**Attention**: The Hyperledger Fabric project team is continually working to
improve the security, performance and robustness of the released software, and
frequently publishes updates. To stay current as the project progresses, please
see the **Communication** and **Still Have Questions?** topics. Your
participation in Linux Foundation projects is welcomed and encouraged!
