// Code generated by protoc-gen-go.
// source: common/policies.proto
// DO NOT EDIT!

package common

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

type Policy_PolicyType int32

const (
	Policy_UNKNOWN   Policy_PolicyType = 0
	Policy_SIGNATURE Policy_PolicyType = 1
	Policy_MSP       Policy_PolicyType = 2
)

var Policy_PolicyType_name = map[int32]string{
	0: "UNKNOWN",
	1: "SIGNATURE",
	2: "MSP",
}
var Policy_PolicyType_value = map[string]int32{
	"UNKNOWN":   0,
	"SIGNATURE": 1,
	"MSP":       2,
}

func (x Policy_PolicyType) String() string {
	return proto.EnumName(Policy_PolicyType_name, int32(x))
}
func (Policy_PolicyType) EnumDescriptor() ([]byte, []int) { return fileDescriptor4, []int{0, 0} }

// Policy expresses a policy which the orderer can evaluate, because there has been some desire expressed to support
// multiple policy engines, this is typed as a oneof for now
type Policy struct {
	Type   int32  `protobuf:"varint,1,opt,name=type" json:"type,omitempty"`
	Policy []byte `protobuf:"bytes,2,opt,name=policy,proto3" json:"policy,omitempty"`
}

func (m *Policy) Reset()                    { *m = Policy{} }
func (m *Policy) String() string            { return proto.CompactTextString(m) }
func (*Policy) ProtoMessage()               {}
func (*Policy) Descriptor() ([]byte, []int) { return fileDescriptor4, []int{0} }

// SignaturePolicyEnvelope wraps a SignaturePolicy and includes a version for future enhancements
type SignaturePolicyEnvelope struct {
	Version    int32            `protobuf:"varint,1,opt,name=Version" json:"Version,omitempty"`
	Policy     *SignaturePolicy `protobuf:"bytes,2,opt,name=Policy" json:"Policy,omitempty"`
	Identities []*MSPPrincipal  `protobuf:"bytes,3,rep,name=Identities" json:"Identities,omitempty"`
}

func (m *SignaturePolicyEnvelope) Reset()                    { *m = SignaturePolicyEnvelope{} }
func (m *SignaturePolicyEnvelope) String() string            { return proto.CompactTextString(m) }
func (*SignaturePolicyEnvelope) ProtoMessage()               {}
func (*SignaturePolicyEnvelope) Descriptor() ([]byte, []int) { return fileDescriptor4, []int{1} }

func (m *SignaturePolicyEnvelope) GetPolicy() *SignaturePolicy {
	if m != nil {
		return m.Policy
	}
	return nil
}

func (m *SignaturePolicyEnvelope) GetIdentities() []*MSPPrincipal {
	if m != nil {
		return m.Identities
	}
	return nil
}

// SignaturePolicy is a recursive message structure which defines a featherweight DSL for describing
// policies which are more complicated than 'exactly this signature'.  The NOutOf operator is sufficent
// to express AND as well as OR, as well as of course N out of the following M policies
// SignedBy implies that the signature is from a valid certificate which is signed by the trusted
// authority specified in the bytes.  This will be the certificate itself for a self-signed certificate
// and will be the CA for more traditional certificates
type SignaturePolicy struct {
	// Types that are valid to be assigned to Type:
	//	*SignaturePolicy_SignedBy
	//	*SignaturePolicy_From
	Type isSignaturePolicy_Type `protobuf_oneof:"Type"`
}

func (m *SignaturePolicy) Reset()                    { *m = SignaturePolicy{} }
func (m *SignaturePolicy) String() string            { return proto.CompactTextString(m) }
func (*SignaturePolicy) ProtoMessage()               {}
func (*SignaturePolicy) Descriptor() ([]byte, []int) { return fileDescriptor4, []int{2} }

type isSignaturePolicy_Type interface {
	isSignaturePolicy_Type()
}

type SignaturePolicy_SignedBy struct {
	SignedBy int32 `protobuf:"varint,1,opt,name=SignedBy,oneof"`
}
type SignaturePolicy_From struct {
	From *SignaturePolicy_NOutOf `protobuf:"bytes,2,opt,name=From,oneof"`
}

func (*SignaturePolicy_SignedBy) isSignaturePolicy_Type() {}
func (*SignaturePolicy_From) isSignaturePolicy_Type()     {}

func (m *SignaturePolicy) GetType() isSignaturePolicy_Type {
	if m != nil {
		return m.Type
	}
	return nil
}

func (m *SignaturePolicy) GetSignedBy() int32 {
	if x, ok := m.GetType().(*SignaturePolicy_SignedBy); ok {
		return x.SignedBy
	}
	return 0
}

func (m *SignaturePolicy) GetFrom() *SignaturePolicy_NOutOf {
	if x, ok := m.GetType().(*SignaturePolicy_From); ok {
		return x.From
	}
	return nil
}

// XXX_OneofFuncs is for the internal use of the proto package.
func (*SignaturePolicy) XXX_OneofFuncs() (func(msg proto.Message, b *proto.Buffer) error, func(msg proto.Message, tag, wire int, b *proto.Buffer) (bool, error), func(msg proto.Message) (n int), []interface{}) {
	return _SignaturePolicy_OneofMarshaler, _SignaturePolicy_OneofUnmarshaler, _SignaturePolicy_OneofSizer, []interface{}{
		(*SignaturePolicy_SignedBy)(nil),
		(*SignaturePolicy_From)(nil),
	}
}

func _SignaturePolicy_OneofMarshaler(msg proto.Message, b *proto.Buffer) error {
	m := msg.(*SignaturePolicy)
	// Type
	switch x := m.Type.(type) {
	case *SignaturePolicy_SignedBy:
		b.EncodeVarint(1<<3 | proto.WireVarint)
		b.EncodeVarint(uint64(x.SignedBy))
	case *SignaturePolicy_From:
		b.EncodeVarint(2<<3 | proto.WireBytes)
		if err := b.EncodeMessage(x.From); err != nil {
			return err
		}
	case nil:
	default:
		return fmt.Errorf("SignaturePolicy.Type has unexpected type %T", x)
	}
	return nil
}

func _SignaturePolicy_OneofUnmarshaler(msg proto.Message, tag, wire int, b *proto.Buffer) (bool, error) {
	m := msg.(*SignaturePolicy)
	switch tag {
	case 1: // Type.SignedBy
		if wire != proto.WireVarint {
			return true, proto.ErrInternalBadWireType
		}
		x, err := b.DecodeVarint()
		m.Type = &SignaturePolicy_SignedBy{int32(x)}
		return true, err
	case 2: // Type.From
		if wire != proto.WireBytes {
			return true, proto.ErrInternalBadWireType
		}
		msg := new(SignaturePolicy_NOutOf)
		err := b.DecodeMessage(msg)
		m.Type = &SignaturePolicy_From{msg}
		return true, err
	default:
		return false, nil
	}
}

func _SignaturePolicy_OneofSizer(msg proto.Message) (n int) {
	m := msg.(*SignaturePolicy)
	// Type
	switch x := m.Type.(type) {
	case *SignaturePolicy_SignedBy:
		n += proto.SizeVarint(1<<3 | proto.WireVarint)
		n += proto.SizeVarint(uint64(x.SignedBy))
	case *SignaturePolicy_From:
		s := proto.Size(x.From)
		n += proto.SizeVarint(2<<3 | proto.WireBytes)
		n += proto.SizeVarint(uint64(s))
		n += s
	case nil:
	default:
		panic(fmt.Sprintf("proto: unexpected type %T in oneof", x))
	}
	return n
}

type SignaturePolicy_NOutOf struct {
	N        int32              `protobuf:"varint,1,opt,name=N" json:"N,omitempty"`
	Policies []*SignaturePolicy `protobuf:"bytes,2,rep,name=Policies" json:"Policies,omitempty"`
}

func (m *SignaturePolicy_NOutOf) Reset()                    { *m = SignaturePolicy_NOutOf{} }
func (m *SignaturePolicy_NOutOf) String() string            { return proto.CompactTextString(m) }
func (*SignaturePolicy_NOutOf) ProtoMessage()               {}
func (*SignaturePolicy_NOutOf) Descriptor() ([]byte, []int) { return fileDescriptor4, []int{2, 0} }

func (m *SignaturePolicy_NOutOf) GetPolicies() []*SignaturePolicy {
	if m != nil {
		return m.Policies
	}
	return nil
}

func init() {
	proto.RegisterType((*Policy)(nil), "common.Policy")
	proto.RegisterType((*SignaturePolicyEnvelope)(nil), "common.SignaturePolicyEnvelope")
	proto.RegisterType((*SignaturePolicy)(nil), "common.SignaturePolicy")
	proto.RegisterType((*SignaturePolicy_NOutOf)(nil), "common.SignaturePolicy.NOutOf")
	proto.RegisterEnum("common.Policy_PolicyType", Policy_PolicyType_name, Policy_PolicyType_value)
}

func init() { proto.RegisterFile("common/policies.proto", fileDescriptor4) }

var fileDescriptor4 = []byte{
	// 357 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x09, 0x6e, 0x88, 0x02, 0xff, 0x74, 0x51, 0xe1, 0x6a, 0xc2, 0x30,
	0x18, 0x34, 0xea, 0xaa, 0xfb, 0x74, 0x4c, 0xc2, 0x36, 0x8b, 0x8c, 0x21, 0xfd, 0x25, 0x8c, 0xb5,
	0x4c, 0x7d, 0x81, 0x09, 0x6e, 0x8a, 0x58, 0x4b, 0xab, 0x1b, 0xec, 0xcf, 0xd0, 0x1a, 0x6b, 0xa0,
	0x6d, 0x42, 0x5a, 0x07, 0x7d, 0x95, 0x3d, 0xca, 0x9e, 0x6e, 0xb4, 0x69, 0x65, 0x08, 0xfe, 0xcb,
	0x77, 0xb9, 0xbb, 0xdc, 0xe5, 0x83, 0x5b, 0x97, 0x05, 0x01, 0x0b, 0x0d, 0xce, 0x7c, 0xea, 0x52,
	0x12, 0xe9, 0x5c, 0xb0, 0x98, 0x61, 0x45, 0xc2, 0x9d, 0x4e, 0x7e, 0x1d, 0x44, 0xfc, 0x8b, 0x0b,
	0x1a, 0xba, 0x94, 0xaf, 0x7d, 0xc9, 0xd1, 0x3c, 0x50, 0xac, 0x54, 0x95, 0x60, 0x0c, 0xd5, 0x38,
	0xe1, 0x44, 0x45, 0x5d, 0xd4, 0xbb, 0xb0, 0xb3, 0x33, 0xbe, 0x03, 0x25, 0xf3, 0x4c, 0xd4, 0x72,
	0x17, 0xf5, 0x9a, 0x76, 0x3e, 0x69, 0xcf, 0x00, 0x52, 0xb5, 0x4c, 0x59, 0x0d, 0xa8, 0xad, 0xcc,
	0x99, 0xb9, 0xf8, 0x30, 0x5b, 0x25, 0x7c, 0x05, 0x97, 0xce, 0xf4, 0xcd, 0x7c, 0x59, 0xae, 0xec,
	0x71, 0x0b, 0xe1, 0x1a, 0x54, 0xe6, 0x8e, 0xd5, 0x2a, 0x6b, 0x3f, 0x08, 0xda, 0x0e, 0xf5, 0xc2,
	0x75, 0x7c, 0x10, 0x44, 0x8a, 0xc7, 0xe1, 0x37, 0xf1, 0x19, 0x27, 0x58, 0x85, 0xda, 0x3b, 0x11,
	0x11, 0x65, 0x61, 0xfe, 0x7a, 0x31, 0x62, 0xa3, 0x88, 0x97, 0x05, 0x68, 0xf4, 0xdb, 0xba, 0xec,
	0xa2, 0x9f, 0x58, 0xd9, 0x45, 0x8b, 0x21, 0xc0, 0x74, 0x4b, 0xc2, 0x98, 0xc6, 0x94, 0x44, 0x6a,
	0xa5, 0x5b, 0xe9, 0x35, 0xfa, 0x37, 0x85, 0x68, 0xee, 0x58, 0x56, 0xd1, 0xdf, 0xfe, 0xc7, 0xd3,
	0x7e, 0x11, 0x5c, 0x9f, 0x38, 0xe2, 0x7b, 0xa8, 0xa7, 0x10, 0xd9, 0x8e, 0x12, 0x99, 0x6a, 0x52,
	0xb2, 0x8f, 0x08, 0x1e, 0x42, 0xf5, 0x55, 0xb0, 0x20, 0x8f, 0xf5, 0x70, 0x26, 0x96, 0x6e, 0x2e,
	0x0e, 0xf1, 0x62, 0x37, 0x29, 0xd9, 0x19, 0xbb, 0x33, 0x03, 0x45, 0x22, 0xb8, 0x09, 0xc8, 0xcc,
	0xcb, 0x22, 0x13, 0x0f, 0xa0, 0x6e, 0xe5, 0xbb, 0x53, 0xcb, 0x59, 0xe6, 0xb3, 0x45, 0x8f, 0xc4,
	0x91, 0x02, 0xd5, 0xf4, 0xfb, 0x47, 0x4f, 0x9f, 0x8f, 0x1e, 0x8d, 0xf7, 0x87, 0x4d, 0x2a, 0x31,
	0xf6, 0x09, 0x27, 0xc2, 0x27, 0x5b, 0x8f, 0x08, 0x63, 0xb7, 0xde, 0x08, 0xea, 0x1a, 0xd9, 0xa6,
	0x23, 0x43, 0x1a, 0x6e, 0x94, 0x6c, 0x1c, 0xfc, 0x05, 0x00, 0x00, 0xff, 0xff, 0x7a, 0xa7, 0xbf,
	0x6f, 0x35, 0x02, 0x00, 0x00,
}
