// Code generated by protoc-gen-go.
// source: peer/peer.proto
// DO NOT EDIT!

package peer

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"

import (
	context "golang.org/x/net/context"
	grpc "google.golang.org/grpc"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

type PeerID struct {
	Name string `protobuf:"bytes,1,opt,name=name" json:"name,omitempty"`
}

func (m *PeerID) Reset()                    { *m = PeerID{} }
func (m *PeerID) String() string            { return proto.CompactTextString(m) }
func (*PeerID) ProtoMessage()               {}
func (*PeerID) Descriptor() ([]byte, []int) { return fileDescriptor5, []int{0} }

type PeerEndpoint struct {
	ID      *PeerID `protobuf:"bytes,1,opt,name=ID" json:"ID,omitempty"`
	Address string  `protobuf:"bytes,2,opt,name=address" json:"address,omitempty"`
}

func (m *PeerEndpoint) Reset()                    { *m = PeerEndpoint{} }
func (m *PeerEndpoint) String() string            { return proto.CompactTextString(m) }
func (*PeerEndpoint) ProtoMessage()               {}
func (*PeerEndpoint) Descriptor() ([]byte, []int) { return fileDescriptor5, []int{1} }

func (m *PeerEndpoint) GetID() *PeerID {
	if m != nil {
		return m.ID
	}
	return nil
}

// Contains information about the blockchain ledger such as height, current
// block hash, and previous block hash.
type BlockchainInfo struct {
	Height            uint64 `protobuf:"varint,1,opt,name=height" json:"height,omitempty"`
	CurrentBlockHash  []byte `protobuf:"bytes,2,opt,name=currentBlockHash,proto3" json:"currentBlockHash,omitempty"`
	PreviousBlockHash []byte `protobuf:"bytes,3,opt,name=previousBlockHash,proto3" json:"previousBlockHash,omitempty"`
}

func (m *BlockchainInfo) Reset()                    { *m = BlockchainInfo{} }
func (m *BlockchainInfo) String() string            { return proto.CompactTextString(m) }
func (*BlockchainInfo) ProtoMessage()               {}
func (*BlockchainInfo) Descriptor() ([]byte, []int) { return fileDescriptor5, []int{2} }

func init() {
	proto.RegisterType((*PeerID)(nil), "protos.PeerID")
	proto.RegisterType((*PeerEndpoint)(nil), "protos.PeerEndpoint")
	proto.RegisterType((*BlockchainInfo)(nil), "protos.BlockchainInfo")
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion3

// Client API for Endorser service

type EndorserClient interface {
	ProcessProposal(ctx context.Context, in *SignedProposal, opts ...grpc.CallOption) (*ProposalResponse, error)
}

type endorserClient struct {
	cc *grpc.ClientConn
}

func NewEndorserClient(cc *grpc.ClientConn) EndorserClient {
	return &endorserClient{cc}
}

func (c *endorserClient) ProcessProposal(ctx context.Context, in *SignedProposal, opts ...grpc.CallOption) (*ProposalResponse, error) {
	out := new(ProposalResponse)
	err := grpc.Invoke(ctx, "/protos.Endorser/ProcessProposal", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Server API for Endorser service

type EndorserServer interface {
	ProcessProposal(context.Context, *SignedProposal) (*ProposalResponse, error)
}

func RegisterEndorserServer(s *grpc.Server, srv EndorserServer) {
	s.RegisterService(&_Endorser_serviceDesc, srv)
}

func _Endorser_ProcessProposal_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SignedProposal)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(EndorserServer).ProcessProposal(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/protos.Endorser/ProcessProposal",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(EndorserServer).ProcessProposal(ctx, req.(*SignedProposal))
	}
	return interceptor(ctx, in, info, handler)
}

var _Endorser_serviceDesc = grpc.ServiceDesc{
	ServiceName: "protos.Endorser",
	HandlerType: (*EndorserServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "ProcessProposal",
			Handler:    _Endorser_ProcessProposal_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: fileDescriptor5,
}

func init() { proto.RegisterFile("peer/peer.proto", fileDescriptor5) }

var fileDescriptor5 = []byte{
	// 297 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x09, 0x6e, 0x88, 0x02, 0xff, 0x64, 0x51, 0x4d, 0x6b, 0xf2, 0x40,
	0x10, 0x7e, 0xf5, 0x15, 0xdb, 0x4e, 0x45, 0xdb, 0x2d, 0x48, 0x10, 0x29, 0x25, 0xa7, 0x7e, 0x61,
	0xc0, 0xfe, 0x03, 0x51, 0x30, 0x37, 0x9b, 0xde, 0x7a, 0x29, 0x31, 0x19, 0x93, 0xa5, 0xba, 0xb3,
	0xcc, 0xc4, 0x42, 0xaf, 0xfd, 0xe5, 0xc5, 0xdd, 0xa4, 0xa5, 0x78, 0xd9, 0x9d, 0x79, 0xbe, 0x60,
	0x66, 0x60, 0x60, 0x11, 0x39, 0x3a, 0x3c, 0x13, 0xcb, 0x54, 0x91, 0xea, 0xba, 0x4f, 0x46, 0x57,
	0x9e, 0x60, 0xb2, 0x24, 0xe9, 0xd6, 0x93, 0xa3, 0xf1, 0x1f, 0xf0, 0x8d, 0x51, 0x2c, 0x19, 0x41,
	0xcf, 0x86, 0x63, 0xe8, 0xae, 0x10, 0x39, 0x9e, 0x2b, 0x05, 0x1d, 0x93, 0xee, 0x30, 0x68, 0xdd,
	0xb4, 0x6e, 0xcf, 0x12, 0x57, 0x87, 0x4b, 0xe8, 0x1d, 0xd8, 0x85, 0xc9, 0x2d, 0x69, 0x53, 0xa9,
	0x6b, 0x68, 0xc7, 0x73, 0xa7, 0x38, 0x9f, 0xf6, 0x7d, 0x82, 0x4c, 0xbc, 0x3f, 0x69, 0xc7, 0x73,
	0x15, 0xc0, 0x49, 0x9a, 0xe7, 0x8c, 0x22, 0x41, 0xdb, 0xc5, 0x34, 0x6d, 0xf8, 0xd5, 0x82, 0xfe,
	0x6c, 0x4b, 0xd9, 0x7b, 0x56, 0xa6, 0xda, 0xc4, 0x66, 0x43, 0x6a, 0x08, 0xdd, 0x12, 0x75, 0x51,
	0x56, 0x2e, 0xb0, 0x93, 0xd4, 0x9d, 0xba, 0x87, 0x8b, 0x6c, 0xcf, 0x8c, 0xa6, 0x72, 0x86, 0x65,
	0x2a, 0xa5, 0x4b, 0xeb, 0x25, 0x47, 0xb8, 0x7a, 0x84, 0x4b, 0xcb, 0xf8, 0xa1, 0x69, 0x2f, 0xbf,
	0xe2, 0xff, 0x4e, 0x7c, 0x4c, 0x4c, 0x9f, 0xe1, 0x74, 0x61, 0x72, 0x62, 0x41, 0x56, 0x0b, 0x18,
	0xac, 0x98, 0x32, 0x14, 0x59, 0xd5, 0xab, 0x51, 0xc3, 0x66, 0xa2, 0x17, 0x5d, 0x18, 0xcc, 0x1b,
	0x7c, 0x14, 0xfc, 0x4c, 0x5a, 0x23, 0x49, 0xbd, 0xc3, 0xf0, 0xdf, 0xec, 0xe1, 0xf5, 0xae, 0xd0,
	0x55, 0xb9, 0x5f, 0x4f, 0x32, 0xda, 0x45, 0xe5, 0xa7, 0x45, 0xde, 0x62, 0x5e, 0x20, 0x47, 0x9b,
	0x74, 0xcd, 0x3a, 0x8b, 0xbc, 0xd5, 0x5d, 0x6b, 0xed, 0xef, 0xf4, 0xf4, 0x1d, 0x00, 0x00, 0xff,
	0xff, 0x33, 0xcf, 0xcc, 0xdb, 0xc1, 0x01, 0x00, 0x00,
}
