// Code generated by protoc-gen-go.
// source: peer/proposal_response.proto
// DO NOT EDIT!

package peer

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"
import google_protobuf1 "github.com/golang/protobuf/ptypes/timestamp"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// A ProposalResponse is returned from an endorser to the proposal submitter.
// The idea is that this message contains the endorser's response to the
// request of a client to perform an action over a chaincode (or more
// generically on the ledger); the response might be success/error (conveyed in
// the Response field) together with a description of the action and a
// signature over it by that endorser.  If a sufficient number of distinct
// endorsers agree on the same action and produce signature to that effect, a
// transaction can be generated and sent for ordering.
type ProposalResponse struct {
	// Version indicates message protocol version
	Version int32 `protobuf:"varint,1,opt,name=version" json:"version,omitempty"`
	// Timestamp is the time that the message
	// was created as  defined by the sender
	Timestamp *google_protobuf1.Timestamp `protobuf:"bytes,2,opt,name=timestamp" json:"timestamp,omitempty"`
	// A response message indicating whether the
	// endorsement of the action was successful
	Response *Response `protobuf:"bytes,4,opt,name=response" json:"response,omitempty"`
	// The payload of response. It is the bytes of ProposalResponsePayload
	Payload []byte `protobuf:"bytes,5,opt,name=payload,proto3" json:"payload,omitempty"`
	// The endorsement of the proposal, basically
	// the endorser's signature over the payload
	Endorsement *Endorsement `protobuf:"bytes,6,opt,name=endorsement" json:"endorsement,omitempty"`
}

func (m *ProposalResponse) Reset()                    { *m = ProposalResponse{} }
func (m *ProposalResponse) String() string            { return proto.CompactTextString(m) }
func (*ProposalResponse) ProtoMessage()               {}
func (*ProposalResponse) Descriptor() ([]byte, []int) { return fileDescriptor7, []int{0} }

func (m *ProposalResponse) GetTimestamp() *google_protobuf1.Timestamp {
	if m != nil {
		return m.Timestamp
	}
	return nil
}

func (m *ProposalResponse) GetResponse() *Response {
	if m != nil {
		return m.Response
	}
	return nil
}

func (m *ProposalResponse) GetEndorsement() *Endorsement {
	if m != nil {
		return m.Endorsement
	}
	return nil
}

// A response with a representation similar to an HTTP response that can
// be used within another message.
type Response struct {
	// A status code that should follow the HTTP status codes.
	Status int32 `protobuf:"varint,1,opt,name=status" json:"status,omitempty"`
	// A message associated with the response code.
	Message string `protobuf:"bytes,2,opt,name=message" json:"message,omitempty"`
	// A payload that can be used to include metadata with this response.
	Payload []byte `protobuf:"bytes,3,opt,name=payload,proto3" json:"payload,omitempty"`
}

func (m *Response) Reset()                    { *m = Response{} }
func (m *Response) String() string            { return proto.CompactTextString(m) }
func (*Response) ProtoMessage()               {}
func (*Response) Descriptor() ([]byte, []int) { return fileDescriptor7, []int{1} }

// ProposalResponsePayload is the payload of a proposal response.  This message
// is the "bridge" between the client's request and the endorser's action in
// response to that request. Concretely, for chaincodes, it contains a hashed
// representation of the proposal (proposalHash) and a representation of the
// chaincode state changes and events inside the extension field.
type ProposalResponsePayload struct {
	// Hash of the proposal that triggered this response. The hash is used to
	// link a response with its proposal, both for bookeeping purposes on an
	// asynchronous system and for security reasons (accountability,
	// non-repudiation). The hash usually covers the entire Proposal message
	// (byte-by-byte). However this implies that the hash can only be verified
	// if the entire proposal message is available when ProposalResponsePayload is
	// included in a transaction or stored in the ledger. For confidentiality
	// reasons, with chaincodes it might be undesirable to store the proposal
	// payload in the ledger.  If the type is CHAINCODE, this is handled by
	// separating the proposal's header and
	// the payload: the header is always hashed in its entirety whereas the
	// payload can either be hashed fully, or only its hash may be hashed, or
	// nothing from the payload can be hashed. The PayloadVisibility field in the
	// Header's extension controls to which extent the proposal payload is
	// "visible" in the sense that was just explained.
	ProposalHash []byte `protobuf:"bytes,1,opt,name=proposalHash,proto3" json:"proposalHash,omitempty"`
	// Extension should be unmarshaled to a type-specific message. The type of
	// the extension in any proposal response depends on the type of the proposal
	// that the client selected when the proposal was initially sent out.  In
	// particular, this information is stored in the type field of a Header.  For
	// chaincode, it's a ChaincodeAction message
	Extension []byte `protobuf:"bytes,2,opt,name=extension,proto3" json:"extension,omitempty"`
}

func (m *ProposalResponsePayload) Reset()                    { *m = ProposalResponsePayload{} }
func (m *ProposalResponsePayload) String() string            { return proto.CompactTextString(m) }
func (*ProposalResponsePayload) ProtoMessage()               {}
func (*ProposalResponsePayload) Descriptor() ([]byte, []int) { return fileDescriptor7, []int{2} }

// An endorsement is a signature of an endorser over a proposal response.  By
// producing an endorsement message, an endorser implicitly "approves" that
// proposal response and the actions contained therein. When enough
// endorsements have been collected, a transaction can be generated out of a
// set of proposal responses.  Note that this message only contains an identity
// and a signature but no signed payload. This is intentional because
// endorsements are supposed to be collected in a transaction, and they are all
// expected to endorse a single proposal response/action (many endorsements
// over a single proposal response)
type Endorsement struct {
	// Identity of the endorser (e.g. its certificate)
	Endorser []byte `protobuf:"bytes,1,opt,name=endorser,proto3" json:"endorser,omitempty"`
	// Signature of the payload included in ProposalResponse concatenated with
	// the endorser's certificate; ie, sign(ProposalResponse.payload + endorser)
	Signature []byte `protobuf:"bytes,2,opt,name=signature,proto3" json:"signature,omitempty"`
}

func (m *Endorsement) Reset()                    { *m = Endorsement{} }
func (m *Endorsement) String() string            { return proto.CompactTextString(m) }
func (*Endorsement) ProtoMessage()               {}
func (*Endorsement) Descriptor() ([]byte, []int) { return fileDescriptor7, []int{3} }

func init() {
	proto.RegisterType((*ProposalResponse)(nil), "protos.ProposalResponse")
	proto.RegisterType((*Response)(nil), "protos.Response")
	proto.RegisterType((*ProposalResponsePayload)(nil), "protos.ProposalResponsePayload")
	proto.RegisterType((*Endorsement)(nil), "protos.Endorsement")
}

func init() { proto.RegisterFile("peer/proposal_response.proto", fileDescriptor7) }

var fileDescriptor7 = []byte{
	// 343 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x09, 0x6e, 0x88, 0x02, 0xff, 0x5c, 0x52, 0xdf, 0x4b, 0xeb, 0x30,
	0x14, 0xa6, 0xbb, 0x77, 0xbb, 0xdb, 0xd9, 0x1e, 0x46, 0x2e, 0x68, 0x19, 0x03, 0x47, 0x9f, 0x26,
	0x4a, 0x0b, 0x8a, 0xe0, 0xb3, 0x20, 0xfa, 0x38, 0x82, 0xf8, 0xa0, 0x0f, 0x92, 0x6e, 0x67, 0x5d,
	0xa1, 0x6d, 0x42, 0x4e, 0x2a, 0xee, 0x0f, 0xf6, 0xff, 0x90, 0xa6, 0x49, 0xb7, 0xf9, 0x54, 0xbe,
	0xd3, 0x2f, 0xdf, 0x8f, 0xe4, 0xc0, 0x5c, 0x21, 0xea, 0x44, 0x69, 0xa9, 0x24, 0x89, 0xe2, 0x43,
	0x23, 0x29, 0x59, 0x11, 0xc6, 0x4a, 0x4b, 0x23, 0xd9, 0xc0, 0x7e, 0x68, 0x76, 0x91, 0x49, 0x99,
	0x15, 0x98, 0x58, 0x98, 0xd6, 0xdb, 0xc4, 0xe4, 0x25, 0x92, 0x11, 0xa5, 0x6a, 0x89, 0xd1, 0x77,
	0x00, 0xd3, 0x95, 0x13, 0xe1, 0x4e, 0x83, 0x85, 0xf0, 0xef, 0x13, 0x35, 0xe5, 0xb2, 0x0a, 0x83,
	0x45, 0xb0, 0xec, 0x73, 0x0f, 0xd9, 0x3d, 0x8c, 0x3a, 0x85, 0xb0, 0xb7, 0x08, 0x96, 0xe3, 0x9b,
	0x59, 0xdc, 0x7a, 0xc4, 0xde, 0x23, 0x7e, 0xf1, 0x0c, 0x7e, 0x20, 0xb3, 0x6b, 0x18, 0xfa, 0x8c,
	0xe1, 0x5f, 0x7b, 0x70, 0xda, 0x9e, 0xa0, 0xd8, 0xfb, 0xf2, 0x8e, 0xd1, 0x24, 0x50, 0x62, 0x5f,
	0x48, 0xb1, 0x09, 0xfb, 0x8b, 0x60, 0x39, 0xe1, 0x1e, 0xb2, 0x3b, 0x18, 0x63, 0xb5, 0x91, 0x9a,
	0xb0, 0xc4, 0xca, 0x84, 0x03, 0x2b, 0xf5, 0xdf, 0x4b, 0x3d, 0x1e, 0x7e, 0xf1, 0x63, 0x5e, 0xf4,
	0x0a, 0xc3, 0xae, 0xde, 0x19, 0x0c, 0xc8, 0x08, 0x53, 0x93, 0x6b, 0xe7, 0x50, 0x63, 0x5a, 0x22,
	0x91, 0xc8, 0xd0, 0x56, 0x1b, 0x71, 0x0f, 0x8f, 0xe3, 0xfc, 0x39, 0x89, 0x13, 0xbd, 0xc3, 0xf9,
	0xef, 0xeb, 0x5b, 0xb9, 0xa4, 0x11, 0x4c, 0xfc, 0xf3, 0x3c, 0x0b, 0xda, 0x59, 0xb3, 0x09, 0x3f,
	0x99, 0xb1, 0x39, 0x8c, 0xf0, 0xcb, 0x60, 0x65, 0xef, 0xba, 0x67, 0x09, 0x87, 0x41, 0xf4, 0x04,
	0xe3, 0xa3, 0x42, 0x6c, 0x06, 0x43, 0x57, 0x49, 0x3b, 0xb1, 0x0e, 0x37, 0x42, 0x94, 0x67, 0x95,
	0x30, 0xb5, 0x46, 0x2f, 0xd4, 0x0d, 0x1e, 0xae, 0xde, 0x2e, 0xb3, 0xdc, 0xec, 0xea, 0x34, 0x5e,
	0xcb, 0x32, 0xd9, 0xed, 0x15, 0xea, 0x02, 0x37, 0x19, 0xea, 0x64, 0x2b, 0x52, 0x9d, 0xaf, 0xdb,
	0xfd, 0xa0, 0xa4, 0xd9, 0xa9, 0xb4, 0xdd, 0x9d, 0xdb, 0x9f, 0x00, 0x00, 0x00, 0xff, 0xff, 0x38,
	0x84, 0xd8, 0x0f, 0x62, 0x02, 0x00, 0x00,
}
